Name:             cxf-build-utils
Version:          2.6.0
Release:          2%{?dist}
Summary:          Apache CXF Build Utils
Group:            Development/Libraries
License:          ASL 2.0
URL:              http://cxf.apache.org/build-utils.html

# svn export http://svn.apache.org/repos/asf/cxf/build-utils/tags/cxf-build-utils-2.6.0/ cxf-build-utils-2.6.0
# tar cafJ cxf-build-utils-2.6.0.tar.xz cxf-build-utils-2.6.0
Source0:          cxf-build-utils-%{version}.tar.xz

# PMD support in Fedora
Patch0:           0001-Support-for-PMD-from-Fedora.patch

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-shade-plugin
BuildRequires:    glassfish-fastinfoset
BuildRequires:    maven-surefire-provider-junit
BuildRequires:    pmd

%description
The Apache CXF Build Utils contains common utilities and configuration files
that are used by multiple versions of the CXF builds.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n cxf-build-utils-%{version}
%patch0 -p1

%pom_remove_dep net.sourceforge.pmd:pmd buildtools/pom.xml
%pom_add_dep net.sourceforge.pmd:pmd-java buildtools/pom.xml

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar 24 2015 Marek Goldmann <mgoldman@redhat.com> - 2.6.0-1
- Upstream release 2.6.0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.5.0-2
- Use Requires: java-headless rebuild (#1067528)

* Wed Aug 07 2013 Marek Goldmann <mgoldman@redhat.com> - 2.5.0-1
- Upstream release 2.5.0
- Using xmvn

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.4.1-5
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Aug 13 2012 Patryk Obara <pobara@redhat.com> - 2.4.1-4
- Fix build for f18

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 23 2012 Patryk Obara <pobara@redhat.com> 2.4.1-2
- Cleaned requires list
- Fixed warnings about mixed whitespace
- Unnecessary comment removed

* Wed May 9 2012 Patryk Obara <pobara@redhat.com> 2.4.1-1
- Initial packaging

